use std::collections::HashMap;

use actix_web::{error, web, Error, HttpResponse};

use crate::db::{self, Pool};

pub async fn get_teachers_json(pool: web::Data<Pool>) -> Result<HttpResponse, Error> {
    let tasks = db::read::get_teachers(&pool)
        .await
        .map_err(error::ErrorInternalServerError)?;

    Ok(HttpResponse::Ok().json(tasks))
}
pub async fn get_subjects_json(pool: web::Data<Pool>) -> Result<HttpResponse, Error> {
    let tasks = db::read::get_subjects(&pool)
        .await
        .map_err(error::ErrorInternalServerError)?;

    Ok(HttpResponse::Ok().json(tasks))
}

pub async fn get_free_slots_json(pool: web::Data<Pool>) -> Result<HttpResponse, Error> {
    let tasks = db::read::get_free_slots(&pool)
        .await
        .map_err(error::ErrorInternalServerError)?;

    Ok(HttpResponse::Ok().json(tasks))
}
