use std::collections::HashMap;

use chrono::{DateTime, Local, NaiveDateTime};
use serde::{Deserialize, Serialize};

pub type IdType = i64;

#[derive(Debug, Deserialize, Serialize)]
pub struct Teacher {
    pub id: IdType,
    pub ansprache: String,
    pub last_name: String,
    pub subject_id: IdType,
}

pub type Teachers = Vec<Teacher>;

#[derive(Debug, Deserialize, Serialize)]
pub struct Subject {
    pub id: IdType,
    pub name: String,
}
pub type Subjects = Vec<Subject>;

#[derive(Debug, Deserialize, Serialize)]
pub struct Appointment {
    pub id: IdType,
    pub teacher_id: IdType,
    pub slot_id: IdType,
}

pub type AppointmentSlots = HashMap<IdType, AppointmentSlot>;

#[derive(Debug, Deserialize, Serialize)]
pub struct AppointmentSlot {
    pub id: IdType,
    pub start_time: NaiveDateTime,
    pub end_time: NaiveDateTime,
}
